### Method

# Gio ListStore find_with_equal_func_full

since: 2.74

#### Declaration [src]

    gboolean
    g_list_store_find_with_equal_func_full (
      GListStore* store,
      GObject* item,
      GEqualFuncFull equal_func,
      gpointer user_data,
      guint* position
    )

#### Description [src]

Like `g_list_store_find_with_equal_func()` but with an additional `user_data` that is passed to `equal_func`.

`item` is always passed as second parameter to `equal_func`.

Since GLib 2.76 it is possible to pass `NULL` for `item`.

Available since: 2.74

#### Parameters

`item`

  Type: `GObject`

  An item.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`equal_func`

  Type: `GEqualFuncFull`

  A custom equality check function.

`user_data`

  Type: `gpointer`

  User data for `equal_func`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`position`

  Type: `guint*`

  The first position of `item`, if it was found.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `gboolean`

Whether `store` contains `item`. If it was found, `position` will be set to the position where `item` occurred for the first time.